org.keycloak.models.entities

## Class ProtocolMapperEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.ProtocolMapperEntity

-     public class ProtocolMapperEntity
      extends AbstractIdentifiableEntity

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `config`
    `protected boolean` | `consentRequired`
    `protected String` | `consentText`
    `protected String` | `name`
    `protected String` | `protocol`
    `protected String` | `protocolMapper`

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolMapperEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getConfig()`
    `String` | `getConsentText()`
    `String` | `getName()`
    `String` | `getProtocol()`
    `String` | `getProtocolMapper()`
    `boolean` | `isConsentRequired()`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setConsentRequired(boolean consentRequired)`
    `void` | `setConsentText(String consentText)`
    `void` | `setName(String name)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMapper(String protocolMapper)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### protocol

          protected String protocol

    - #### protocolMapper

          protected String protocolMapper

    - #### consentRequired

          protected boolean consentRequired

    - #### consentText

          protected String consentText

    - #### config

          protected Map<String,String> config

  - ### Constructor Detail

    - #### ProtocolMapperEntity

          public ProtocolMapperEntity()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### getProtocolMapper

          public String getProtocolMapper()

    - #### setProtocolMapper

          public void setProtocolMapper(String protocolMapper)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### isConsentRequired

          public boolean isConsentRequired()

    - #### setConsentRequired

          public void setConsentRequired(boolean consentRequired)

    - #### getConsentText

          public String getConsentText()

    - #### setConsentText

          public void setConsentText(String consentText)

Copyright © 2016 JBoss by Red Hat. All rights reserved.